import request from '/@/utils/request';
export interface RecordSetValues {
	names: string[];
	values: Array<Array<any>>;
	type: string;
	title: string;
}
export const GetHistoryAnswer = async (params, req: any = request) => {
	return req({
		url: '/history/get_history_answer',
		method: 'POST',
		data: params,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded',
		},
	});
};
export const filterQuery = async (params, req: any = request) => {
	return req({
		url: 'chat/filter_query',
		method: 'POST',
		data: params,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded',
		},
	});
};

export const queryScadaTimeValues = async (params, req: any = request) => {
	return req({
		url: 'data/query_scada_time_values',
		method: 'POST',
		data: params,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded',
		},
	});
};

export const reportHistoryProblem = async (params, req: any = request) => {
	return req({
		url: 'history/report_history_problem',
		method: 'POST',
		data: params,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded',
		},
	});
};
/**
 * @summary 设置历史对话状态（未设置：NULL，顶1，踩0
 */
export const SetHistoryAnswerState = async (params, req: any = request) => {
	return req({
		url: '/history/set_history_answer_state',
		method: 'POST',
		data: params,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded',
		},
	});
};

/** @description 关联查询 */
export const extCallQuery = async (params, req: any = request) => {
	return req({
		url: 'chat/ext_call_query',
		method: 'POST',
		data: params,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded',
		},
	});
};

/**
 * 查询问题进度
 * @param params
 * @param req
 * @returns
 */
export const getQuestionProcess = async (params, req: any = request) => {
	return req({
		url: 'chat/get_question_process',
		method: 'POST',
		data: params,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded',
		},
	});
};